Bug 1835864 - Updating to adwaita-qt5-1.1.2-1.fc32.x86_64 causes Qutebrowser to crash consistently
Summary: Updating to adwaita-qt5-1.1.2-1.fc32.x86_64 causes Qutebrowser to crash consi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: adwaita-qt
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-14 16:01 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-05-28 01:59 UTC (History)
4 users (show)

Fixed In Version: adwaita-qt-1.1.3-1.fc32 adwaita-qt-1.1.3-2.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 02:44:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github qutebrowser qutebrowser issues 5435 None open [1.10.1] Consistently crashes after downloads 2020-05-14 16:01:50 UTC

Description Ankur Sinha (FranciscoD) 2020-05-14 16:01:51 UTC
Description of problem:
Upgrading to the new adwaita-qt5 update causes Qutebrowser to crash consistently (it's the only Qt app I use on Gnome, so that's all I've been able to test).

Version-Release number of selected component (if applicable):
adwaita-qt5-1.1.2-1.fc32.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run qutebrowser
2. Download something, for example a PDF
3.

Actual results:
Qutebrowser will hang, then crash

Expected results:
Qutebrowser should not crash.

Additional info:
Downgrading adwaita-qt5 stops the crashing:
adwaita-qt5-1.1.1-3.fc32.x86_64

I filed a bug with Qutebrowser already and they diagnosed the issue to be adwaita related.

Comment 1 Uwe Klotz 2020-05-14 23:20:43 UTC
Mixxx is also affected (all versions: 2.2/2.3/development) and crashes during startup:

Thread 1 "mixxx" received signal SIGSEGV, Segmentation fault.
0x00007ffff6e9eefe in QWidget::testAttribute_helper(Qt::WidgetAttribute) const () from /lib64/libQt5Widgets.so.5
(gdb) bt
#0  0x00007ffff6e9eefe in QWidget::testAttribute_helper(Qt::WidgetAttribute) const () at /lib64/libQt5Widgets.so.5
#1  0x00007ffff6e9f694 in QWidgetPrivate::naturalWidgetPalette(unsigned int) const () at /lib64/libQt5Widgets.so.5
#2  0x00007ffff6ea9445 in QWidget::setPalette(QPalette const&) () at /lib64/libQt5Widgets.so.5
#3  0x00007fffd94f8fea in QtPrivate::QFunctorSlotObject<Adwaita::Style::polish(QWidget*)::{lambda()#1}, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) () at /usr/lib64/qt5/plugins/styles/adwaita.so
#4  0x00007ffff404aa60 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#5  0x00007ffff677a6a0 in QGuiApplicationPrivate::processActivatedEvent(QWindowSystemInterfacePrivate::ActivatedWindowEvent*) () at /lib64/libQt5Gui.so.5
#6  0x00007ffff67615bb in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Gui.so.5
#7  0x00007fffe0c87d8e in xcbSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5XcbQpa.so.5
#8  0x00007ffff63dd7cf in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#9  0x00007ffff63ddb58 in g_main_context_iterate.constprop () at /lib64/libglib-2.0.so.0
#10 0x00007ffff63ddc23 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#11 0x00007ffff406fc06 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#12 0x00007ffff402321b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#13 0x00007ffff402adf6 in QCoreApplication::exec() () at /lib64/libQt5Core.so.5
#14 0x00000000005684dd in (anonymous namespace)::runMixxx (args=..., app=0x7fffffffd0a0) at /tmp/mixxx/src/main.cpp:53
#15 main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /tmp/mixxx/src/main.cpp:130

We still need to use QT_QPA_PLATFORM=xcb until all components have been migrated to QtWayland (planned for version 2.4).

Temporary workaround: Uninstall qgnomeplatform/adwaita-qt5-1.1.2

Comment 2 Fedora Update System 2020-05-15 11:20:27 UTC
FEDORA-2020-49c9f277c1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c9f277c1

Comment 3 Fedora Update System 2020-05-15 11:20:28 UTC
FEDORA-2020-49c9f277c1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c9f277c1

Comment 4 Fedora Update System 2020-05-15 11:23:07 UTC
FEDORA-2020-b8966cf80e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b8966cf80e

Comment 5 Uwe Klotz 2020-05-15 11:52:49 UTC
Version 1.1.3 fixes the crash.

But now many text colors are displayed in a dimmed state. Sometimes when invoking the menu bar they light up while the menu bar is visible. Not sure if only Mixxx is affected, we need to investigate this.

Screenshots: https://send.firefox.com/download/132d468a74c19a99/#t5yBqQRNl6WhPw3fi3m0OA

Comment 6 Fedora Update System 2020-05-16 04:44:09 UTC
FEDORA-2020-49c9f277c1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-49c9f277c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c9f277c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-16 05:06:51 UTC
FEDORA-2020-b8966cf80e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b8966cf80e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b8966cf80e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-18 02:44:01 UTC
FEDORA-2020-b8966cf80e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-05-19 12:12:11 UTC
FEDORA-2020-49c9f277c1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c9f277c1

Comment 10 Fedora Update System 2020-05-20 05:40:21 UTC
FEDORA-2020-49c9f277c1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-49c9f277c1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-49c9f277c1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-05-28 01:59:27 UTC
FEDORA-2020-49c9f277c1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.